### Method

# Gdk FrameClockget_refresh_info

#### Declaration [src]

    void
    gdk_frame_clock_get_refresh_info (
      GdkFrameClock* frame_clock,
      gint64 base_time,
      gint64* refresh_interval_return,
      gint64* presentation_time_return
    )

#### Description [src]

Predicts a presentation time, based on history.

Using the frame history stored in the frame clock, finds the last known presentation time and refresh interval, and assuming that presentation times are separated by the refresh interval, predicts a presentation time that is a multiple of the refresh interval after the last presentation time, and later than `base_time`.

#### Parameters

`base_time`

  Type: `gint64`

  Base time for determining a presentaton time.

`refresh_interval_return`

  Type: `gint64*`

  A location to store the determined refresh interval, or `NULL`. A default refresh interval of 1/60th of a second will be stored if no history is present.

  The argument will be set by the function.
  The argument can be `NULL`.

`presentation_time_return`

  Type: `gint64*`

  A location to store the next candidate presentation time after the given base time. 0 will be will be stored if no history is present.

  The argument will be set by the function.